| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Array

# Method Array.oid_sort_func()

Method oid_sort_func

  `int(-1..1) oid_sort_func(string a, string b)`

Description

  Sort with care of numerical sort for OID values, e.g. "1.2.1" before "1.11.1".

Returns

  `-1` | `a<b`
  `0` | `a==b`
  `1` | `a>b`

Note

  In Pike 7.6 and older this function returned `0` both when `a<b` and `a==b`.

See also

  sort_array